#
# Copyright (c) 2017-2018 Varnish Software AS
#
# v1.1 (AUTOGENERATED - DO NOT EDIT OR USE DIRECTLY!)
#

sub vcl_backend_response {
	if (!beresp.was_304) {
		set beresp.http.X-crypto-salt = crypto.hex_encode(crypto.urandom(16));
	}
	master_key.add_blob(bereq.hash);
	crypto.aes_key(master_key.get(), crypto.hex_decode(beresp.http.X-crypto-salt),
		te_opts.get("algorithm", ""));
	crypto.aes_encrypt_response();
}

sub vcl_deliver {
	if (resp.http.X-crypto-salt) {
		master_key.add_blob(req.hash);
		crypto.aes_key(master_key.get(), crypto.hex_decode(resp.http.X-crypto-salt),
			te_opts.get("algorithm", ""));
		crypto.aes_decrypt_response();
		unset resp.http.X-crypto-salt;
	}
}

# EOF
